### Constructor

# GimpUi AspectPreview new_from_drawable

since: 2.10

#### Declaration [src]

    GtkWidget*
    gimp_aspect_preview_new_from_drawable (
      GimpDrawable* drawable
    )

#### Description [src]

Creates a new `GimpAspectPreview` widget for `drawable_`. See also gimp_drawable_preview_new_from_drawable().

Available since: 2.10

#### Parameters

`drawable`

  Type: `GimpDrawable`

  A drawable.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A new `GimpAspectPreview`.

The data is owned by the called function.